// File       : adc.h 

//If the following is not defined, use 2.0 V internal reference
#define EXTREF 					// Use external voltage reference

// Calibrate so that loop cycle time is 0.5 sec
#define ADC_SAMPLES_PER_SECOND 21428
#define LOOP_CYCLE_PERIOD ADC_SAMPLES_PER_SECOND / 2

void isr_ADC(void); 
void init_ADC(void);

// .asm routines to read ADC cal coefficients from flash
unsigned char read_adc_offset(void );
unsigned int read_adc_gaincal(void);
